Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Class DefaultFacet

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame
          edu.stanford.smi.protege.model.DefaultInstance
              edu.stanford.smi.protege.model.DefaultFacet

All Implemented Interfaces:
  Facet, Frame, Instance, Localizable, Serializable, Comparable<Frame>

    public class DefaultFacet

extends DefaultInstance
implements Facet

Default implementation of Facet interface. Forwards all method calls to its DefaultKnowledgeBase.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Constructor Summary
`DefaultFacet()`
`DefaultFacet(KnowledgeBase kb, FrameID id)`

Method Summary
`void` | `addFacetListener(FacetListener listener)`
`boolean` | `areValidValues(Frame frame, Slot slot, Collection slotValues)`
`boolean` | `getAllowsMultipleValues()`
`Slot` | `getAssociatedSlot()`
`FacetConstraint` | `getConstraint()`
`Icon` | `getIcon()`
`String` | `getInvalidValuesText(Frame frame, Slot slot, Collection slotValues)`
`String` | `getInvalidValueText(Frame frame, Slot slot, Object item)`
`ValueType` | `getValueType()`
`boolean` | `isValidValue(Frame frame, Slot slot, Object value)`
`void` | `removeFacetListener(FacetListener listener)`
`Facet` | `rename(String name)` This is as close as we come to renaming a frame.
`Collection` | `resolveValues(Collection existingValues, Collection newValues)`
`void` | `setAssociatedSlot(Slot slot)`
`void` | `setConstraint(FacetConstraint c)`
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protege.model.DefaultInstance
`addDirectType, addInstanceListener, copy, deepCopy, getBrowserText, getDirectType, getDirectTypes, getOwnFacetValue, getOwnFacetValues, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes, shallowCopy`

Methods inherited from class edu.stanford.smi.protege.model.DefaultFrame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, compareTo, delete, equals, equals, getDefaultKnowledgeBase, getDefiningProjectURI, getDirectOwnSlotValue, getDirectOwnSlotValues, getDocumentation, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hashCode, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, localize, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setSystem, setVisible`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`addDirectType, addInstanceListener, getDirectType, getDirectTypes, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, copy, deepCopy, delete, getBrowserText, getDirectOwnSlotValue, getDirectOwnSlotValues, getDocumentation, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setVisible, shallowCopy`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### DefaultFacet

    public DefaultFacet(KnowledgeBase kb,
                        FrameID id)

### DefaultFacet

    public DefaultFacet()

Method Detail

### addFacetListener

    public void addFacetListener(FacetListener listener)

  Specified by:
    `addFacetListener` in interface `Facet`

### areValidValues

    public boolean areValidValues(Frame frame,
                                  Slot slot,
                                  Collection slotValues)

  Specified by:
    `areValidValues` in interface `Facet`

### getAssociatedSlot

    public Slot getAssociatedSlot()

  Specified by:
    `getAssociatedSlot` in interface `Facet`

### getConstraint

    public FacetConstraint getConstraint()

  Specified by:
    `getConstraint` in interface `Facet`

### getInvalidValuesText

    public String getInvalidValuesText(Frame frame,
                                       Slot slot,
                                       Collection slotValues)

  Specified by:
    `getInvalidValuesText` in interface `Facet`

### getInvalidValueText

    public String getInvalidValueText(Frame frame,
                                      Slot slot,
                                      Object item)

  Specified by:
    `getInvalidValueText` in interface `Facet`

### getValueType

    public ValueType getValueType()

  Specified by:
    `getValueType` in interface `Facet`

### getAllowsMultipleValues

    public boolean getAllowsMultipleValues()

  Specified by:
    `getAllowsMultipleValues` in interface `Facet`

### isValidValue

    public boolean isValidValue(Frame frame,
                                Slot slot,
                                Object value)

  Specified by:
    `isValidValue` in interface `Facet`

### removeFacetListener

    public void removeFacetListener(FacetListener listener)

  Specified by:
    `removeFacetListener` in interface `Facet`

### setAssociatedSlot

    public void setAssociatedSlot(Slot slot)

  Specified by:
    `setAssociatedSlot` in interface `Facet`

### setConstraint

    public void setConstraint(FacetConstraint c)

  Specified by:
    `setConstraint` in interface `Facet`

### resolveValues

    public Collection resolveValues(Collection existingValues,
                                    Collection newValues)

  Specified by:
    `resolveValues` in interface `Facet`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getIcon

    public Icon getIcon()

  Specified by:
    `getIcon` in interface `Frame`
  Overrides:
    `getIcon` in class `DefaultFrame`

### rename

    public Facet rename(String name)

  Description copied from interface: `Frame`
  This is as close as we come to renaming a frame. Creates a clone of this with the new name and deletes this.

  Specified by:
    `rename` in interface `Facet`
  Specified by:
    `rename` in interface `Frame`
  Overrides:
    `rename` in class `DefaultFrame`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.